Open Babel: OBConformerScore Class Reference

Public Types | Public Member Functions

# OBConformerScore Class Reference
[Conformer Searching]

Interface used by OBConformerSearch for scoring conformers. More...

`#include <openbabel/conformersearch.h>`

Inheritance diagram for OBConformerScore:

List of all members.

## Public Types
enum | Preferred { HighScore, LowScore }
enum | Convergence { Highest, Lowest, Sum, Average }
## Public Member Functions
virtual Preferred | GetPreferred ()=0
virtual Convergence | GetConvergence ()=0
virtual double | Score (OBMol &mol, unsigned int index, const RotorKeys &keys, const std::vector< double * > &conformers)=0

## Detailed Description

Interface used by OBConformerSearch for scoring conformers.

The OBConformerScore class defines an interface to assign scores to conformers. This class is used by OBConformerSearch to make the class flexible. A higher score means the conformer with index is more favourable. A typical example is the force field energy to find the lowest energy conformer (note: the energy is not directly usable as score since lower values are better). Another example is to use some measure of diversity (e.g. RMSD) to generate a diverse set of conformers.

Since:
  2.3

## Member Enumeration Documentation

enum Preferred

Conformer scores can be preferably high or low.

Enumerator:

  HighScore |
  LowScore |

enum Convergence

Convergence criteria used.

Enumerator:

  Highest |
  Lowest |
  Sum |
  Average |

## Member Function Documentation

virtual Preferred GetPreferred | ( | ) | `[pure virtual]`

Preferred order for subclass scoring function.

Implemented in OBRMSDConformerScore, and OBEnergyConformerScore.

virtual Convergence GetConvergence | ( | ) | `[pure virtual]`

Convergence criteria for subclass scoring function.

Implemented in OBRMSDConformerScore, and OBEnergyConformerScore.

virtual double Score | ( | OBMol & | mol,
|  | unsigned int | index,
|  | const RotorKeys & | keys,
|  | const std::vector< double * > & | conformers
| ) |  | `[pure virtual]`

Score an individual conformer specified by index.

Implemented in OBRMSDConformerScore, and OBEnergyConformerScore.

The documentation for this class was generated from the following file:

- conformersearch.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines